block_api.get_block_header
Purpose
Retrieve a block header of the referenced block, or null if no matching block was found.
Parameters:
block_num:int- Height of the block whose header should be returned
block_num (int) | |
|---|---|
1 | Queries the block headers for the very first block. |
8675309 | Queries block headers for block number 8,675,309. |
62396745 | Queries block headers for block number 62,396,745. |
Parameters
PARAMETERS
json
{
"block_num": 0
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "block_api.get_block_header",
"params": {
"block_num": 1
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "block_api.get_block_header",
"params": {
"block_num": 8675309
},
"id": 1
}'Example 3
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "block_api.get_block_header",
"params": {
"block_num": 62396745
},
"id": 1
}'Response
RESPONSE
json
{}